Sheets
Rename, pin, order, archive or edit an in-house Space sheet
PATCH
/v1/space/sheets/{sheet_id}
curl -X PATCH "https://api.orchestor.io/v1/space/sheets/%3Csheet_id%3E" \ -H "Authorization: Bearer $API_KEY" \ -H "X-Workspace-ID: wks_abc123" \ -H "Content-Type: application/json" \ -d '{ "archived": true, "pinned": true, "sort_position": 1, "tabs": [ { "columns": [ { "color": "string", "currencyCode": "string", "description": "string", "hidden": true, "id": "string", "options": [ "string" ], "pinned": true, "title": "string", "type": "text", "width": 1 } ], "deleted": true, "filter": { "columnId": "string", "value": "string" }, "hidden": true, "id": "string", "rows": [ { "id": "string", "parentId": "string", "values": {} } ], "sort": { "columnId": "string", "direction": "asc" }, "title": "string" } ], "title": "string", "updated_at": "string"}'{ "data": { "archived": true, "created_at": "2026-01-01T00:00:00Z", "deleted_at": "2026-01-01T00:00:00Z", "folder_id": null, "id": "<string>", "pinned": true, "sort_position": 0, "tabs": [ { "columns": [ { "color": "<string>", "currencyCode": "<string>", "description": "<string>", "hidden": true, "id": "<string>", "options": [ "<string>" ], "pinned": true, "title": "<string>", "type": "text", "width": 104 } ], "deleted": true, "filter": { "columnId": "<string>", "value": "<string>" }, "hidden": true, "id": "<string>", "rows": [ { "id": "<string>", "parentId": "<string>", "values": {} } ], "sort": { "columnId": "<string>", "direction": "asc" }, "title": "<string>" } ], "title": "<string>", "updated_at": "2026-01-01T00:00:00Z", "workspace_id": "<string>" }}Get your Orchestor API key
Create an API key in your workspace settings.
Authorizations
Authentication details
cookie
Headers
Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.
Example
"wks_abc123"Bodyapplication/jsonrequired
Response
application/json